﻿'***************************************************************************************************
'   フォルダ名・ファイル名関連クラス                    clsPathFileControl(Class)
'
'   作成者:井上治  URL:https://www.ne.jp/asahi/excel/inoue/ [Excelでお仕事!]
'***************************************************************************************************
' 変更日付 Rev     変更履歴内容-------------------------------------------------------------------->
' 15/02/05(1.3.0.0)新規作成(コントロールを利用しない時の関数のみを用意したもの)
'***************************************************************************************************
Public Class clsPathFileControl

    '***********************************************************************************************
    ' ■■■ メソッド ■■■
    '***********************************************************************************************
    '* 処理名　：GetDispFileName
    '* 機能　　：表示用ファイル名の取得(表示幅に合わせる)
    '-----------------------------------------------------------------------------------------------
    '* 返り値　：表示用ファイル名(String)
    '* 引数　　：Arg1 = 元のパス名(String)
    '* 　　　　　Arg2 = 表示桁数(Integer)        ※半角相当
    '-----------------------------------------------------------------------------------------------
    '* 作成日　：2015年02月05日
    '* 作成者　：井上　治
    '* 更新日　：2015年02月05日
    '* 更新者　：井上　治
    '* 機能説明：
    '* 注意事項：
    '***********************************************************************************************
    Public Function GetDispFileName(ByVal FullFileName As String, _
                                    ByVal DispByteSize As Integer) As String
        '-------------------------------------------------------------------------------------------
        Return modPathFileControl.FP_GetDispPathName(FullFileName, DispByteSize)
    End Function

    '***********************************************************************************************
    '* 処理名　：GetDispPathName
    '* 機能　　：表示用パス名の取得(表示幅に合わせる)
    '-----------------------------------------------------------------------------------------------
    '* 返り値　：編集後のパス名(String)
    '* 引数　　：Arg1 = 元のパス名(String)
    '* 　　　　　Arg2 = 表示桁数(Integer)        ※半角相当
    '-----------------------------------------------------------------------------------------------
    '* 作成日　：2015年02月05日
    '* 作成者　：井上　治
    '* 更新日　：2015年02月05日
    '* 更新者　：井上　治
    '* 機能説明：メッセージでフルパスファイル名等を表示させる時の簡易表示用
    '* 注意事項：
    '***********************************************************************************************
    Public Function GetDispPathName(ByVal FullPathName As String, _
                                    ByVal DispByteSize As Integer) As String
        '-------------------------------------------------------------------------------------------
        Return modPathFileControl.FP_GetDispPathName(FullPathName, DispByteSize)
    End Function

    '***********************************************************************************************
    '* 処理名　：GetFileName
    '* 機能　　：フルパスファイル名からファイル名(パス抜き)を取得
    '-----------------------------------------------------------------------------------------------
    '* 返り値　：パス抜きファイル名(String)
    '* 引数　　：Arg1 = 元のパス名(String)
    '-----------------------------------------------------------------------------------------------
    '* 作成日　：2015年02月05日
    '* 作成者　：井上　治
    '* 更新日　：2015年02月05日
    '* 更新者　：井上　治
    '* 機能説明：
    '* 注意事項：
    '***********************************************************************************************
    Public Function GetFileName(ByVal strFileName As String) As String
        '-------------------------------------------------------------------------------------------
        Return modPathFileControl.FP_GetFileName(strFileName)
    End Function

    '***********************************************************************************************
    '* 処理名　：GetPathName
    '* 機能　　：フルパスファイル名からフォルダ名を取得(右\無し)
    '-----------------------------------------------------------------------------------------------
    '* 返り値　：フォルダ名(String)
    '* 引数　　：Arg1 = 元のパス名(String)
    '-----------------------------------------------------------------------------------------------
    '* 作成日　：2015年02月05日
    '* 作成者　：井上　治
    '* 更新日　：2015年02月05日
    '* 更新者　：井上　治
    '* 機能説明：
    '* 注意事項：
    '***********************************************************************************************
    Public Function GetPathName(ByVal strFileName As String) As String
        '-------------------------------------------------------------------------------------------
        Return modPathFileControl.FP_GetPathName(strFileName)
    End Function

    '***********************************************************************************************
    '* 処理名　：GetFileExtension
    '* 機能　　：フルパスファイル名から拡張子を取得
    '-----------------------------------------------------------------------------------------------
    '* 返り値　：拡張子(String)
    '* 引数　　：Arg1 = 元のパス名(String)
    '-----------------------------------------------------------------------------------------------
    '* 作成日　：2015年02月05日
    '* 作成者　：井上　治
    '* 更新日　：2015年02月05日
    '* 更新者　：井上　治
    '* 機能説明：
    '* 注意事項：
    '***********************************************************************************************
    Public Function GetFileExtension(ByVal strFileName As String) As String
        '-------------------------------------------------------------------------------------------
        Return modPathFileControl.FP_GetFileExtension(strFileName)
    End Function

    '---------------------------------------<< End of Source >>-------------------------------------
End Class

