﻿'***************************************************************************************************
'   ファイルを検索してExcelに一覧出力(サンプル)                   ApplicationEvents.vb
'
'   作成者:井上治  URL:https://www.ne.jp/asahi/excel/inoue/ [Excelでお仕事!]
'***************************************************************************************************
' 変更日付 Rev   変更履歴内容---------------------------------------------------------------------->
' 17/12/02(1.0.0)新規作成
'***************************************************************************************************
Imports Microsoft.VisualBasic.ApplicationServices
Namespace My

    Partial Friend Class MyApplication
        '-------------------------------------------------------------------------------------------
        Private g_objTargetForm As Object

        '*******************************************************************************************
        '* 処理名 ：MyApplication_UnhandledException
        '* 機能  ：非ハンドル例外がアプリケーションで発生したときのイベント
        '-------------------------------------------------------------------------------------------
        '* 返り値 ：(なし)
        '* 引数  ：(既定)
        '-------------------------------------------------------------------------------------------
        '* 作成日　：2017年12月02日
        '* 作成者　：井上　治
        '* 更新日　：2017年12月02日
        '* 更新者　：井上　治
        '* 機能説明：
        '* 注意事項：
        '*******************************************************************************************
        Private Sub MyApplication_UnhandledException(ByVal sender As Object, _
                                                     ByVal e As UnhandledExceptionEventArgs) _
                                                     Handles Me.UnhandledException
            '---------------------------------------------------------------------------------------
            Const cnsLine As String = "------------------------------------------------------"
            Dim strDispMSG As String = String.Empty                 ' メッセージWORK
            Try
                '-----------------------------------------------------------------------------------
                ' イベントログ出力
                My.Application.Log.WriteException(e.Exception, TraceEventType.Error, _
                                                  "Application Shut Down At " & Now().ToString)
                '-----------------------------------------------------------------------------------
                ' エラーメッセージ
                Dim strMSG As String = e.Exception.Message & ControlChars.CrLf
                ' スタックトレース
                strMSG &= cnsLine & ControlChars.CrLf
                strMSG &= e.Exception.StackTrace & ControlChars.CrLf
                strMSG &= cnsLine & ControlChars.CrLf
                ' エラーとなったアップリケーション又はオブジェクト
                strMSG &= "Source=" & e.Exception.Source & ControlChars.CrLf
                ' 例外をスローするメソッド
                strMSG &= "MethodName=" & e.Exception.TargetSite.Name & ControlChars.CrLf
                ' このメンバを宣言するクラス
                strMSG &= "ClassName=" & e.Exception.TargetSite.DeclaringType.FullName
                '-----------------------------------------------------------------------------------
                ' エラーメッセージの表示
                strDispMSG = _
                    "捕捉外のシステムエラー(例外)が発生しました。" & ControlChars.CrLf & ControlChars.CrLf & _
                    strMSG & ControlChars.CrLf & ControlChars.CrLf & _
                    "※発生原因が不明な場合はシステム管理者に連絡して下さい。"
                MessageBox2.DialogShow(g_objTargetForm, _
                                       strDispMSG, _
                                       g_cnsProgTitle, _
                                       MessageBoxButtons.OK, _
                                       MessageBoxIcon.Error)
            Catch
                ' 通常メッセージボックスを使用
                MessageBox.Show(strDispMSG, _
                                g_cnsProgTitle, _
                                MessageBoxButtons.OK, _
                                MessageBoxIcon.Error)
            Finally
                ' アプリケーションの強制終了
                End
            End Try
        End Sub

        '*******************************************************************************************
        ' ■■■ 受け渡しプロパティ ■■■
        '*******************************************************************************************
        ' メインフォーム(Object)
        '-------------------------------------------------------------------------------------------
        Friend WriteOnly Property TargetForm As Object
            Set(value As Object)
                g_objTargetForm = value
            End Set
        End Property

        '-------------------------------------<< End of Source >>-----------------------------------
    End Class
End Namespace

